//
//  ColorConfig+Converter.swift
//  apollo_flutter
//
//  Created by batu on 4/12/22.
//

import Foundation
import ApolloTheme

extension ColorConfig {
    func toFlutterColorTheme() -> FlutterColorTheme {
        let colorTheme = FlutterColorTheme()
    
        colorTheme.primary = primary.toFlutterColorSet()
        colorTheme.link = link.toFlutterColorSet()
        colorTheme.pending = pending.toFlutterColorSet()
        colorTheme.success = success.toFlutterColorSet()
        colorTheme.error = error.toFlutterColorSet()
        colorTheme.neutral = neutral.toFlutterNeutralColorSet()
        
        return colorTheme
    }
}


extension ColorSetConfig {
    func toFlutterColorSet() -> FlutterColorSet {
        let flutterColorSet = FlutterColorSet()
        flutterColorSet.color50 = color50
        flutterColorSet.color100 = color100
        flutterColorSet.color200 = color200
        flutterColorSet.color500 = color500
        flutterColorSet.color600 = color600
        flutterColorSet.color700 = color700

        return flutterColorSet
    }
}

extension NeutralColorSetConfig {
    func toFlutterNeutralColorSet() -> FlutterNeutralColorSet {
        let flutterNeutralColor = FlutterNeutralColorSet()
        flutterNeutralColor.white = white
        flutterNeutralColor.tableHeader = tableHeader
        flutterNeutralColor.background = background
        flutterNeutralColor.divider = divider
        flutterNeutralColor.disable = disable
        flutterNeutralColor.border = border
        flutterNeutralColor.placeholder = placeholder
        flutterNeutralColor.secondaryText = secondaryText
        flutterNeutralColor.primaryText = primaryText
        flutterNeutralColor.titleText = titleText

        return flutterNeutralColor
    }
}
