import 'package:apollo_flutter/src/apollo_api.dart';
import 'package:apollo_flutter/src/color_utils.dart';
import 'package:apollo_flutter/apollo_theme.dart';

extension FlutterColorThemeConverter on FlutterColorTheme {
  ApolloColorTheme toApolloColorTheme() {
    return ApolloColorTheme(
      primary: primary!.toApolloColorSet(),
      pending: pending!.toApolloColorSet(),
      link: link!.toApolloColorSet(),
      success: success!.toApolloColorSet(),
      error: error!.toApolloColorSet(),
      neutral: neutral!.toApolloNeutralColorSet(),
    );
  }
}

extension FlutterColorSetConverter on FlutterColorSet {
  ApolloColorSet toApolloColorSet() {
    return ApolloColorSet(
      color50: hexToColor(color50!),
      color100: hexToColor(color100!),
      color200: hexToColor(color200!),
      color500: hexToColor(color500!),
      color600: hexToColor(color600!),
      color700: hexToColor(color700!),
    );
  }
}

extension FlutterNeutralColorSetConverter on FlutterNeutralColorSet {
  ApolloNeutralColorSet toApolloNeutralColorSet() {
    return ApolloNeutralColorSet(
      white: hexToColor(white!),
      tableHeader: hexToColor(tableHeader!),
      background: hexToColor(background!),
      divider: hexToColor(divider!),
      disable: hexToColor(disable!),
      border: hexToColor(border!),
      placeholder: hexToColor(placeholder!),
      secondaryText: hexToColor(secondaryText!),
      primaryText: hexToColor(primaryText!),
      titleText: hexToColor(titleText!),
    );
  }
}
